Bug #12908

Warning from symbiosis-httpd-configure

Added by charles charles over 3 years ago.

Status:NewStart date:2016-06-01
Priority:LowDue date:
Assignee:-% Done:

0%

Category:-
Target version:-

Description

On jessie, running symbiosis-httpd-configure --verbose results in

/usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55: warning: loading in progress, circular require considered harmful - /usr/lib/ruby/vendor_ruby/symbiosis/domain/ssl.rb
    from /usr/sbin/symbiosis-httpd-configure:197:in  `<main>'
    from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in  `require'
    from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in  `require'
    from /usr/lib/ruby/vendor_ruby/symbiosis/domain/ssl.rb:4:in  `<top (required)>'
    from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in  `require'
    from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in  `require'
    from /usr/lib/ruby/vendor_ruby/symbiosis/ssl/selfsigned.rb:4:in  `<top (required)>'
    from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in  `require'
    from /usr/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in  `require'

Also available in: Atom PDF